function fileDialogComplete(numFilesSelected, numFilesQueued) {
	try {
		if (numFilesQueued > 0) {
			this.startUpload();
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadSuccess(file, serverData) {
	try {
		if (serverData.substring(0, 7) === "FILENM:") {
			paste(serverData.substring(7));
		} else {
			alert(serverData);
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function fileQueueError(file, errorCode, message) {
	try {
		if (errorCode == SWFUpload.QUEUE_ERROR.QUEUE_LIMIT_EXCEEDED) {
			alert("한 번에 최대 " + swfu.getSetting("file_queue_limit") + "개 파일을 올릴 수 있습니다.");
		} else if (errorCode == SWFUpload.QUEUE_ERROR.ZERO_BYTE_FILE) {
			alert("파일 크기가 0입니다.");
		} else if (errorCode == SWFUpload.QUEUE_ERROR.FILE_EXCEEDS_SIZE_LIMIT) {
			alert("파일 크기는 최대 " + swfu.getSetting("file_size_limit") + "를 넘을 수 없습니다.");
		} else if (errorCode == SWFUpload.QUEUE_ERROR.INVALID_FILETYPE) {
			alert("허용되지 않는 파일 형식입니다.");
		} 
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadError(file, errorCode, message) {
	try {
		if (errorCode == SWFUpload.QUEUE_ERROR.UPLOAD_LIMIT_EXCEEDED) {
			alert("총 최대 " + swfu.getSetting("file_upload_limit") + "개 파일만 올릴 수 있습니다.");
		} else {
			alert("업로드에 실패했습니다.");
		} 
	} catch (ex) {
		this.debug(ex);
	}
}